/*
* Copyright (c) 京北方信息技术股份有限公司 Corporation 2022 . All rights reserved.
*
*/
package net.northking.cctp.platform.dto.comlibrary;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
* Restful接口--更新资源--数据传输对象：平台组件库
*
* createdate:  2022-08-29 10:13:11  <br>
* @author:  maven-cctp-plugin  <br>
* @since:  1.0 <br>
*/
@JsonSerialize
@ApiModel(description = "平台组件库")
public class CpComponentLibraryUpdateDto implements Serializable
{
    /**
     * 主键ID
     */
    @ApiModelProperty("主键ID")
    private String id;
    /**
     * 使用状态0-可用1-禁用<br>
     */
    @ApiModelProperty("使用状态0-可用1-禁用")
    private Integer libraryStatus;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public Integer getLibraryStatus() {
        return libraryStatus;
    }

    public void setLibraryStatus(Integer libraryStatus) {
        this.libraryStatus = libraryStatus;
    }
}